#
# spec file for package perl-Net-DNS
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Net-DNS
Name:           perl-Net-DNS
Version:        1.460.0
Release:        bp160.1.7
# 1.46 -> normalize -> 1.460.0
%define cpan_version 1.46
License:        MIT
Summary:        Perl Interface to the Domain Name System
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NL/NLNETLABS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp) >= 1.1
BuildRequires:  perl(Digest::HMAC) >= 1.03
BuildRequires:  perl(Digest::MD5) >= 2.37
BuildRequires:  perl(Digest::SHA) >= 5.23
BuildRequires:  perl(Encode) >= 2.26
BuildRequires:  perl(Exporter) >= 5.63
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.48
BuildRequires:  perl(File::Find) >= 1.13
BuildRequires:  perl(File::Spec) >= 3.29
BuildRequires:  perl(Getopt::Long) >= 2.43
BuildRequires:  perl(IO::File) >= 1.14
BuildRequires:  perl(IO::Socket) >= 1.3
BuildRequires:  perl(IO::Socket::IP) >= 0.38
BuildRequires:  perl(PerlIO) >= 1.05
BuildRequires:  perl(Scalar::Util) >= 1.19
BuildRequires:  perl(Socket) >= 1.81
BuildRequires:  perl(Test::Builder) >= 0.8
BuildRequires:  perl(Test::More) >= 0.8
BuildRequires:  perl(Time::Local) >= 1.19
BuildRequires:  perl(base) >= 2.13
BuildRequires:  perl(constant) >= 1.17
BuildRequires:  perl(overload) >= 1.06
#BuildRequires:  perl(warnings) >= 1.05
Requires:       perl(base) >= 2.13
Requires:       perl(Carp) >= 1.1
Requires:       perl(Digest::HMAC) >= 1.03
Requires:       perl(Digest::MD5) >= 2.37
Requires:       perl(Digest::SHA) >= 5.23
Requires:       perl(Encode) >= 2.26
Requires:       perl(Exporter) >= 5.63
Requires:       perl(File::Spec) >= 3.29
Requires:       perl(IO::File) >= 1.14
Requires:       perl(IO::Socket) >= 1.3
Requires:       perl(IO::Socket::IP) >= 0.38
Requires:       perl(PerlIO) >= 1.05
Requires:       perl(Scalar::Util) >= 1.19
Requires:       perl(Socket) >= 1.81
Requires:       perl(Time::Local) >= 1.19
Requires:       perl(constant) >= 1.17
Requires:       perl(overload) >= 1.06
#Requires:       perl(warnings) >= 1.0501
Provides:       perl(Net::DNS) = %{version}
Provides:       perl(Net::DNS::Domain)
Provides:       perl(Net::DNS::DomainName)
Provides:       perl(Net::DNS::DomainName1035)
Provides:       perl(Net::DNS::DomainName2535)
Provides:       perl(Net::DNS::Header)
Provides:       perl(Net::DNS::Mailbox)
Provides:       perl(Net::DNS::Mailbox1035)
Provides:       perl(Net::DNS::Mailbox2535)
Provides:       perl(Net::DNS::Nameserver)
Provides:       perl(Net::DNS::Packet)
Provides:       perl(Net::DNS::Parameters)
Provides:       perl(Net::DNS::Question)
Provides:       perl(Net::DNS::RR)
Provides:       perl(Net::DNS::RR::A)
Provides:       perl(Net::DNS::RR::AAAA)
Provides:       perl(Net::DNS::RR::AFSDB)
Provides:       perl(Net::DNS::RR::AMTRELAY)
Provides:       perl(Net::DNS::RR::APL)
Provides:       perl(Net::DNS::RR::APL::Item)
Provides:       perl(Net::DNS::RR::CAA)
Provides:       perl(Net::DNS::RR::CDNSKEY)
Provides:       perl(Net::DNS::RR::CDS)
Provides:       perl(Net::DNS::RR::CERT)
Provides:       perl(Net::DNS::RR::CNAME)
Provides:       perl(Net::DNS::RR::CSYNC)
Provides:       perl(Net::DNS::RR::DELEG)
Provides:       perl(Net::DNS::RR::DHCID)
Provides:       perl(Net::DNS::RR::DNAME)
Provides:       perl(Net::DNS::RR::DNSKEY)
Provides:       perl(Net::DNS::RR::DS)
Provides:       perl(Net::DNS::RR::EUI48)
Provides:       perl(Net::DNS::RR::EUI64)
Provides:       perl(Net::DNS::RR::GPOS)
Provides:       perl(Net::DNS::RR::HINFO)
Provides:       perl(Net::DNS::RR::HIP)
Provides:       perl(Net::DNS::RR::HTTPS)
Provides:       perl(Net::DNS::RR::IPSECKEY)
Provides:       perl(Net::DNS::RR::ISDN)
Provides:       perl(Net::DNS::RR::KEY)
Provides:       perl(Net::DNS::RR::KX)
Provides:       perl(Net::DNS::RR::L32)
Provides:       perl(Net::DNS::RR::L64)
Provides:       perl(Net::DNS::RR::LOC)
Provides:       perl(Net::DNS::RR::LP)
Provides:       perl(Net::DNS::RR::MB)
Provides:       perl(Net::DNS::RR::MG)
Provides:       perl(Net::DNS::RR::MINFO)
Provides:       perl(Net::DNS::RR::MR)
Provides:       perl(Net::DNS::RR::MX)
Provides:       perl(Net::DNS::RR::NAPTR)
Provides:       perl(Net::DNS::RR::NID)
Provides:       perl(Net::DNS::RR::NS)
Provides:       perl(Net::DNS::RR::NSEC)
Provides:       perl(Net::DNS::RR::NSEC3)
Provides:       perl(Net::DNS::RR::NSEC3PARAM)
Provides:       perl(Net::DNS::RR::NULL)
Provides:       perl(Net::DNS::RR::OPENPGPKEY)
Provides:       perl(Net::DNS::RR::OPT)
Provides:       perl(Net::DNS::RR::OPT::CHAIN)
Provides:       perl(Net::DNS::RR::OPT::CLIENT_SUBNET)
Provides:       perl(Net::DNS::RR::OPT::COOKIE)
Provides:       perl(Net::DNS::RR::OPT::DAU)
Provides:       perl(Net::DNS::RR::OPT::DHU)
Provides:       perl(Net::DNS::RR::OPT::EXPIRE)
Provides:       perl(Net::DNS::RR::OPT::EXTENDED_ERROR)
Provides:       perl(Net::DNS::RR::OPT::KEY_TAG)
Provides:       perl(Net::DNS::RR::OPT::N3U)
Provides:       perl(Net::DNS::RR::OPT::NSID)
Provides:       perl(Net::DNS::RR::OPT::PADDING)
Provides:       perl(Net::DNS::RR::OPT::REPORT_CHANNEL)
Provides:       perl(Net::DNS::RR::OPT::TCP_KEEPALIVE)
Provides:       perl(Net::DNS::RR::PTR)
Provides:       perl(Net::DNS::RR::PX)
Provides:       perl(Net::DNS::RR::RP)
Provides:       perl(Net::DNS::RR::RRSIG)
Provides:       perl(Net::DNS::RR::RT)
Provides:       perl(Net::DNS::RR::SIG)
Provides:       perl(Net::DNS::RR::SMIMEA)
Provides:       perl(Net::DNS::RR::SOA)
Provides:       perl(Net::DNS::RR::SPF)
Provides:       perl(Net::DNS::RR::SRV)
Provides:       perl(Net::DNS::RR::SSHFP)
Provides:       perl(Net::DNS::RR::SVCB)
Provides:       perl(Net::DNS::RR::TKEY)
Provides:       perl(Net::DNS::RR::TLSA)
Provides:       perl(Net::DNS::RR::TSIG)
Provides:       perl(Net::DNS::RR::TXT)
Provides:       perl(Net::DNS::RR::URI)
Provides:       perl(Net::DNS::RR::X25)
Provides:       perl(Net::DNS::RR::ZONEMD)
Provides:       perl(Net::DNS::Resolver)
Provides:       perl(Net::DNS::Resolver::Base)
Provides:       perl(Net::DNS::Resolver::MSWin32)
Provides:       perl(Net::DNS::Resolver::Recurse)
Provides:       perl(Net::DNS::Resolver::UNIX)
Provides:       perl(Net::DNS::Resolver::android)
Provides:       perl(Net::DNS::Resolver::cygwin)
Provides:       perl(Net::DNS::Resolver::os2)
Provides:       perl(Net::DNS::Resolver::os390)
Provides:       perl(Net::DNS::Text)
Provides:       perl(Net::DNS::Update)
Provides:       perl(Net::DNS::ZoneFile)
Provides:       perl(Net::DNS::ZoneFile::Generator)
Provides:       perl(Net::DNS::ZoneFile::Text)
%undefine       __perllib_provides
Recommends:     perl(Digest::BubbleBabble) >= 0.20.0
Recommends:     perl(Net::LibIDN2) >= 1
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  perl(warnings) >= 1.05
Requires:       perl(warnings) >= 1.05
# MANUAL END

%description
Net::DNS is a collection of Perl modules that act as a Domain Name System
(DNS) resolver. It allows the programmer to perform DNS queries that are
beyond the capabilities of "gethostbyname" and "gethostbyaddr".

The programmer should be familiar with the structure of a DNS packet and
the zone file presentation format described in RFC1035.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Tue Aug 20 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.460.0 (1.46)
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Fri May  3 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.45
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Mon Dec 25 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.42
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Tue Nov 28 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.41
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Tue Sep  5 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.40
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Fri Jun  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.39
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Wed May 10 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.38
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Tue Mar 14 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.37
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sat Dec 31 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.36
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Wed Oct  5 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.35
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Tue May 31 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.34
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Wed Mar  2 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.33
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Thu Jun  3 2021 Pedro Monreal <pmonreal@suse.com>
- Update to 1.31
  * 1.31 May 2, 2021
  - Improve implementation of SVCB record.
  * 1.30 Mar 30, 2021
  - Simplify parsing of multi-line RRs in zone file.
    Improve robustness of "dry" resolver tests.
    Avoid deep recursion in non-fatal test report.
* Mon Jan 18 2021 Dirk Müller <dmueller@suse.com>
- update to 1.29
  Include test number in summary of failed non-fatal tests.
  Remove Net::DNS::SEC specific tests.
  Fix faulty test plan in t/08-recurse.t.
* Sat Oct 24 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.28
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sat Sep 12 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.27
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Fri Aug  7 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.26
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sat Jun 27 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.25
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Thu May 28 2020 Tina Müller <timueller+perl@suse.de>
  updated to 1.24
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Thu Mar 19 2020 <timueller+perl@suse.de>
- updated to 1.23
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Fri Feb 14 2020 <timueller+perl@suse.de>
- updated to 1.22
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sat Aug 31 2019 <timueller+perl@suse.de>
- updated to 1.21
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sat Mar 30 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.20
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Thu Dec  6 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.19
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sat Sep 22 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.18
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Thu Jul 26 2018 coolo@suse.com
- updated to 1.17
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Tue Jul 17 2018 coolo@suse.com
- updated to 1.16
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Mon Feb 12 2018 coolo@suse.com
- updated to 1.15
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sat Dec 16 2017 coolo@suse.com
- updated to 1.14
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Thu Oct 19 2017 coolo@suse.com
- updated to 1.13
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sat Aug 19 2017 coolo@suse.com
- updated to 1.12
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Tue Jun 27 2017 coolo@suse.com
- updated to 1.11
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sat May  6 2017 coolo@suse.com
- updated to 1.10
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sat Mar 25 2017 coolo@suse.com
- updated to 1.09
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Tue Feb 21 2017 coolo@suse.com
- updated to 1.08
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Fri Dec 30 2016 coolo@suse.com
- updated to 1.07
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Thu Sep  1 2016 opensuse@dstoecker.de
- update to pre-release 1.06_03 to fix taint check issue with SpamAssassin
* Sat May 28 2016 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Tue Mar  8 2016 coolo@suse.com
- updated to 1.05
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Wed Dec  9 2015 coolo@suse.com
- updated to 1.04
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Mon Nov  9 2015 coolo@suse.com
- updated to 1.03
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Sun Sep 20 2015 coolo@suse.com
- updated to 1.02
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.83
  see /usr/share/doc/packages/perl-Net-DNS/Changes
* Thu Dec  4 2014 vcizek@suse.com
- update to 0.81
  * new features:
  Feature rt.cpan.org #98149
  Add support for Android platform.
  Feature rt.cpan.org #79568
  Implement prefer_v6 resolver configuration attribute.
  Feature
  Implement TSIG verified zone transfer.
  * and numerous bugfixes
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.74
  Fix rt.cpan.org #91306
    Nameserver crashes on malformed UDP query.
  Fix rt.cpan.org #91241
    TSIG: Fix incorrectly generated %%algbyval table.
  Feature
    Add CAA, EUI48 and EUI64 RR implementation.
* Mon Dec  9 2013 coolo@suse.com
- license fixed to "as perl itself"
- updated to 0.73
  Fix rt.cpan.org #88778
    $update->unique_push() does not work as advertised.
  Fix rt.cpan.org #88744
    Nameserver crashes on malformed TCP query.
  Fix rt.cpan.org #84601/#81942
    Fix memory leak on packet cleanup. Indirect self-reference via
    header prevented garbage collector from deallocating packet.
  Feature rt.cpan.org #84468
    TSIG: add support for HMAC-SHA1 .. HMAC-SHA512
  Fix rt.cpan.org #84110
    Incorrect parsing of PTR records in zonefile.
  Fix rt.cpan.org #83755
    Erroneous attempt to invoke Net::LibIDN package in Domain.pm.
  Fix rt.cpan.org #83078
    Can't locate Net/DNS/Resolver/linux.pm in @INC
    Conjecture:  eval{ ... };  if ($@) { ... };  broken by threads.
  Fix rt.cpan.org #83075
    ZoneFile.pm wrongly rejects $TTL 0 directive.
  Fix rt.cpan.org #82621
    Error string empty after failed TCP query.
  Fix rt.cpan.org #82296
    IPv6 with embedded IPv4 address not mapped to ip6.arpa.
  Fix rt.cpan.org #82294
    Perl taint inadvertently removed in Domain and Text objects.
  Feature rt.cpan.org #53610
    add TSIG validation support
* Wed Jun  5 2013 coolo@suse.com
- updated to 0.72
  Fix rt.cpan.org #82148
    nxrrset fails to ignore RDATA.
  Fix rt.cpan.org #82134
    TSIG key and algorithm names not downcased in digest.
    Class not forced to ANY.
  Fix rt.cpan.org #82063
    yxrrset, nxrrset and rr_del functions should force zero TTL.
  Fix rt.cpan.org #82047
    Clarify documentation to indicate that header counts may
    differ from the number of RRs present if a packet is corrupt.
  Fix rt.cpan.org #81941
    Clarify documentation to make clear that bgread will not switch to
    TCP when a truncated packet is received.
  Temporary workaround rt.cpan.org #81760
    The rdatastr method for TXT RRs will return unconditionally
    quoted rdata fields to work around an issue with updating
    SpamAssassin rules.  This workaround will be reverted after
    release of a version of SpamAssassin which resolves the issue.
  Fix rt.cpan.org #81942
    Fix memory leak on packet cleanup. The back-reference via the
    header attribute (with xbody) caused the garbage collector not
    to clean a packet. Header is now explicitly cleaned via
    Net::DNS::Packet::DESTROY.
* Thu Sep 20 2012 sweet_f_a@gmx.de
- installing perl(IO::Socket::INET6) is recommended
* Wed Feb  1 2012 vcizek@suse.com
- update to 0.68
  Fix rt.cpan.org #72314
  Let a Net::DNS::Nameserver bind on Net::DNS::Nameserver::DEFAULT_ADDR
  as a last resort.
  Fix to suppress false warnings about subroutine profiles on ancient
  versions of perl.
  Fix to avoid constants with value undef which prevents unwanted code from being
  optimized away on ancient versions of perl.
  Fix code error in PTR.pm, canonical RDATA not downcased.
  Enhancement to clarify the function of parse and data methods, by renaming them
  to decode and encode respectively.
  Feature IDN query support.
  Question.pm modified to use the recently introduced DomainName.pm
  module to represent DNS names.  Queries for domain names containing
  non-ASCII characters are now possible on Unicode platforms with CPAN
  Net::LibIDN installed.
  Introduction of Mailbox.pm module that will be used in the future to represent
  RDATA components containing DNS coded RFC822 mailbox addresses.
  Introduction of Text.pm module that will be used in the future to represent
  RDATA components containing text.
* Wed Nov 16 2011 vcizek@suse.com
- update to 0.67
  * dropped fix-tests.diff patch (not needed anymore)
  * huge number of bugfixes, see CHANGES
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Fri Jan 15 2010 anicka@suse.cz
- update to 0.66
  * Feature Truncation for Nameserver
    fixes rt.cpan.org #33547 and #42744
    TAKE CARE:
    this feature may cause unexpected behavior for your nameservers
    and can be turned off by setting Truncate to 0 during the creation
    of the nameserver.
  * Feature: Added Net::DNS::Domain
    Net::DNS::Domain is an attemt to consistently approach the various
    ways we interface with what RFC 1035 calls <domain-name>.
  * bugfixes
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Jun 16 2009 coolo@novell.com
- disable online tests to fix build
* Mon Feb 23 2009 anicka@suse.cz
- update to 0.65
  * When the AAAA object was constructed with new_from_hash with an
  address containing the "::" shorthand notation normalization was
  not done properly.
  * Typo in Win32.pm Registry root.
* Tue Jan 20 2009 anicka@suse.cz
- update to 0.64
  * Added support for the APL record (RFC 3123)
  * Fix IPv6 modules
  * Added CD and AD bit control to the resolver.
  * Improved error reporting during client disconnect
  from the nameserver
  * more bugfixes
* Thu Jan 15 2009 anicka@suse.cz
- do not ignore test results (bnc#466030)
* Fri Nov 28 2008 ro@suse.de
- ignore test suite results for the moment
  (will not work without networking support in build environment)
* Thu Feb 21 2008 anicka@suse.cz
- update to 0.63
  * Feature NotifyHandler in Nameserver
  * bugfixes
* Mon Jan  7 2008 anicka@suse.cz
- fix possible DoS in Net/DNS/RR/A.pm [#350245]
* Fri Jan  4 2008 anicka@suse.cz
- update to 0.62
  * Move of some functionality out of the Packet to the Question
  and RR classes; parsing of elements in the packet is now
  performed by calling the appropriate subclasses.
  * the Net::DNS::Packet's answersize() method will from now on
  ignore its arguments and just return the size of the packet.
  * The Net::DNS::RR->new() method used to call
  Net::DNS::RR->new_from_data() whenever called with the appropriate
  combination of arguments. That (undocumented) behavior has been
  deprecated.  Use Net::DNS::RR->new_from_data() directly if you
  depended on that.
  * Net::DNS::Packets unique_push now ignores the TTL in
  comparison of uniqueness, this is closer to the intend of
  RFC2181, but not yet fully compliant.
  * bugfixes, test fixes
* Mon Oct  8 2007 anicka@suse.cz
- update to 0.61
  * Modification of $_ in various places.
  * t/11-inet6 assumed lowercase domain names.
* Tue Jul  3 2007 anicka@suse.cz
- update to 0.60
  * Fix spelling mistakes in change log using interactive
  spell checker (aspell).
  * bugfixes
* Tue Sep 19 2006 anicka@suse.cz
- update to 0.59
  * proper reverse mapping of IPv6 addresses
  * bugfixes
* Thu Jul 13 2006 anicka@suse.cz
- update to 0.58
  * added hooks for DLV support in Net::DNS::SEC
  * many bugfixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan  4 2006 anicka@suse.cz
- update to 0.55
* Mon Aug  1 2005 mjancar@suse.cz
- update tp 0.53
- add perl-Net-IP to Requires
* Thu Aug 19 2004 mjancar@suse.cz
- update to 0.48
* Sun Jun 20 2004 ro@suse.de
- fix find command in specfile
* Sat Feb 28 2004 ro@suse.de
- fix requirement for /usr/local
* Thu Feb 26 2004 mjancar@suse.cz
- update to 0.46
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Tue Jun 17 2003 mjancar@suse.cz
- update to 0.38
- use $RPM_OPT_FLAGS
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Mon Apr 28 2003 mjancar@suse.cz
- update to version 0.34
* Fri Dec 20 2002 prehak@suse.cz
- updated to version 0.31
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Fri Jul 12 2002 prehak@suse.cz
- update to version 0.24
- added demo and contrib to documentation
- added perl-Test-Simple to neededforbuild
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Fri May 24 2002 prehak@suse.cz
- added missing required modul perl-Digest-HMAC  [#16224]
* Mon Dec 17 2001 rvasice@suse.cz
- update to version 0.19
* Mon Mar 26 2001 cihlar@suse.cz
- added make test
* Tue Nov 14 2000 cihlar@suse.cz
- renamed perl_dns -> perl-Net-DNS
* Tue Aug 22 2000 cihlar@suse.cz
- added BuildRoot
- bzipped sources
* Fri Jan 21 2000 ro@suse.de
- fixed filelist
* Tue Nov  9 1999 choeger@suse.de
- bugfix for spec-file
* Mon Nov  8 1999 choeger@suse.de
- first version
